package com.simuwang.manage.api.product;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.ProductPageQuery;
import com.simuwang.base.pojo.vo.ProductInformationVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.ProductService;
import com.simuwang.manage.service.impl.DistributionServiceImpl;
import com.smppw.common.pojo.ResultVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@SystemLog(value = "产品要素管理")
@RestController
@RequestMapping("/v1/product")
public class ProductController {
    @Autowired
    public ProductService productService;

    /**
     * 查询基金要素列表
     * @param prductPageQuery
     * @return
     */
    @SystemLog(value = "查询基金要素列表")
    @GetMapping("/product-list")
    public MybatisPage<ProductInformationVO> searchProductList(ProductPageQuery prductPageQuery){
        MybatisPage<ProductInformationVO> result = productService.searchProductList(prductPageQuery);
        return result;
    }

    /**
     * 上传产品要素
     *
     * @param file
     * @return
     */
    @SystemLog(value = "上传产品要素", type = SystemLog.Type.UPLOAD_OR_IMPORT)
    @PostMapping("upload")
    public ResultVo uploadProduct(@RequestPart(value = "file") MultipartFile file) {
        return productService.uploadProduct(file);
    }
}
